/*******************/
/*  START :: Hero  */
/*******************/
:root {
    --hero-padding-bottom: 128px;
}
/* BB "LARGE" DESKTOP, and down */
@media only screen and (max-width: 1366px) {
    :root {
        --hero-padding-bottom: 64px;
    } 
}
/* Tablet */
@media only screen and (max-width: 992px) and (min-width: 769px) {
    :root {
        --hero-padding-bottom: 64px;
    }   
}
/* Mobile */
@media only screen and (max-width: 768px) {
    :root {
        --hero-padding-bottom: 64px;
    } 
}

@media only screen and (max-width: 1366px) {
    /* override hero left column width so text doesn't break */
    .hero-left .fl-col {
        width: 100% !important;
    }
}
/**************************/
/*  START :: Hero Donate  */
/**************************/
/* hide header on donation page */
.page-id-1739 .fl-page-header {
    /* display: none; */
}

.donate-hero-left-col .fl-col-content{
    position: relative;
}
.donate-hero-box{
    position: sticky;
    top: 28px;
    height: calc(100vh - var(--header-height) - var(--admin-bar-height) - 36px);
}
.donate-hero-img{
    width:100%;
    flex-grow: 1;
    border-radius: var(--border-radius-img);
}

.donate-code-box {
    border: 1px solid var(--white);
    border-radius: 16px;
    background: var(--white);
    min-height: 700px;
    overflow: hidden;
    width: 100%;
    
}
.donate-code-box iframe {
    border: none;
}

.fl-builder-content .link-white-underline-orange p a:not(.buttonlink){
    --btn-link-color: var(--white);
    --btn-underline-color: var(--orange);
}
/* Mobile */
@media only screen and (max-width: 768px) {
    .donate-hero-box{
       height: 460px;
    }
}
/**************************/
/*  END   :: Hero Donate  */
/**************************/

/*****************************/
/*  START :: Hero Tabs - NEW */
/*****************************/
.fl-animated.fl-fade-in {
    /* animation: fl-fade-in 1s ease;
    -webkit-animation: fl-fade-in 1s ease; */
}
@keyframes fl-fade-in {
    /* from {
        opacity: 0;
    } */

    /* to {
        opacity: 1;
    } */
}
body:not(.fl-builder-edit) .hero--fullscreen-tabs {
    display: block !important;
    min-height: 100vh; /* fallback */
    min-height: 100lvh;
    position: relative;
}

body:not(.fl-builder-edit) .hero--fullscreen-tabs .tablist {
    display: flex;
    align-items: flex-end;
    flex-direction: column;
    gap: 20px;
    justify-content: flex-end;
    transform: none !important;
    width: auto !important;

    overflow: hidden;
    padding: 18px var(--content-padding) var(--hero-padding-bottom); !important;
    width: 100%;

    margin: 0 auto;
    max-width: 1366px;
    position: absolute;
    /* bottom: 0;
    right: 0; */
    inset: 0;
    /* pointer-events: none; allows buttons in tab panels to be clickable */
    /* z-index: 1; tablist preceeds tabpanels for WCAG */
}
body:not(.fl-builder-edit) .hero--fullscreen-tabs .tablist button {
    /* background-image: linear-gradient(90deg, transparent 7px, transparent 7px); */
    align-content: center;
    background-color: rgba(7, 49, 67, 0.70);
    border-left: 7px solid transparent;
    border: none;
    color: var(--white);
    cursor: pointer;
    display: inline-flex !important;
    flex-wrap: wrap;
    font-family: var(--font-button);
    font-size: 18px;
    font-size: 1.13rem;
    font-weight: 400;
    gap: 16px;
    height: auto;
    letter-spacing: 0.9px;
    line-height: 1.38rem;
    line-height: 22px;
    min-height: 67px;
    min-width: 190px;
    padding: 10px 55px 12px 12px;
    position: relative;
    text-align: left;
    top: 0;
    transition: all 0.25s ease-in-out;
    /* transition: all 0.5s ease-in-out; */
    width: min-content;

    border-radius: 8px;
    clip-path: border-box;

    pointer-events: all; /* allows buttons in tablist to be clickable */
    z-index: 1; /* tablist preceeds tabpanels for WCAG */
}
body:not(.fl-builder-edit) .hero--fullscreen-tabs .tablist button:after {
    border-radius: 100%;
    border: 1px solid var(--white);
    content: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="10" height="15" viewBox="0 0 10 15" fill="none"><path d="M1.06055 1.06055L7.06055 7.06055L1.06055 13.0605" stroke="white" stroke-width="3"/></svg>');
    height: 31px;
    padding: 6px 11px;
    position: absolute;
    right: 0;
    /* top:0; */
    transform: translate(-12px, calc(50% - 8px)); /* faux padding-right, 50% minus 1/2 padding-block */
    transition: all 0.25s ease-in-out;
    width: 31px;
}

body:not(.fl-builder-edit) .hero--fullscreen-tabs .tablist button[aria-selected="true"]{
    clip-path: unset;
    border-left: 7px solid var(--orange) !important;
    transform: translateX(-27px);
}

body:not(.fl-builder-edit) .hero--fullscreen-tabs .tablist button[aria-selected="true"]:after {
    background: var(--Orange);
    border-color: var(--Orange);
    content: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="10" height="15" viewBox="0 0 10 15" fill="none"><path d="M1.06055 1.06055L7.06055 7.06055L1.06055 13.0605" stroke="black" stroke-width="3"/></svg>');
    transform: translate(50%, calc(50% - 8px)); /* 50% minus 1/2 padding-block */
}

body:not(.fl-builder-edit) .hero--fullscreen-tabs .tablist button:focus {
    clip-path: unset;
    /* outline-width: 2px !important;
    outline-style: auto !important;
    outline-offset: 5px !important;
    outline-color: var(--brand-focus) !important; */
    animation-play-state: paused;
    animation-fill-mode: none;
}
 
body:not(.fl-builder-edit) .hero--fullscreen-tabs--tabpanel {
    min-height: 100vh; /* fallback */
    min-height: 100lvh;
    opacity: 1;
    transition: opacity 2s ease-in-out;

    /* &:focus .fl-col {
        outline-width: 2px;
        outline-style: auto;
        outline-offset: 5px;
        outline-color: var(--brand-focus);
    } */
}

.hero--fullscreen-tabs .hero--fullscreen-tabs--tabpanel .fl-row-content-wrap {
    /* Hero  – QA update – site-wide – increased hero height / bottom-alignment */
    align-items: flex-end !important;
}
body:not(.fl-builder-edit) .hero--fullscreen-tabs--tabpanel .fl-bg-video + .fl-row-content {
        pointer-events: none;
}
body:not(.fl-builder-edit) .hero--fullscreen-tabs--tabpanel .fl-bg-video + .fl-row-content .fl-module {
    pointer-events: all;
}
 
body:not(.fl-builder-edit) .hero--fullscreen-tabs--tabpanel[hidden] {
    opacity: 0;
}
body:not(.fl-builder-edit) .hero--fullscreen-tabs .tab-controls {
    display: none;
}

/* BB XL DESKTOP, and up */
@media screen and (min-width: 1366px) {
    body:not(.fl-builder-edit) .hero--fullscreen-tabs--tabpanel > .fl-row-content-wrap {
        min-height: 100vh; /* fallback */
        min-height: 100lvh;
        padding-block: 255px 36px;
        padding-block: 185px var(--hero-padding-bottom); /* header + */
    }
}
/* BB "LARGE" DESKTOP, and down */
@media only screen and (max-width: 1366px) {
    body:not(.fl-builder-edit) .hero--fullscreen-tabs--tabpanel > .fl-row-content-wrap {
        min-height: 100vh; /* fallback */
        min-height: 100lvh;
        padding-block: 230px var(--hero-padding-bottom);
    }
}
/* Tablet */
@media only screen and (max-width: 992px) and (min-width: 769px) {
    body:not(.fl-builder-edit) .hero--fullscreen-tabs--tabpanel .fl-col-group {
        padding-right: calc(200px + 36px);
    }
}
/* Mobile */
@media only screen and (max-width: 768px) {
    body:not(.fl-builder-edit) .hero--fullscreen-tabs--tabpanel > .fl-row-content-wrap {
        min-height: 100vh; /* fallback */ 
        min-height: 100lvh;
        padding-block: 188px calc(var(--hero-padding-bottom) *2 ); /* double the padding bottom to account for carousel controls */
    }
    /* svh / lvh is buggy in iphone firefox, hard code min-height */
    .iphone.firefox body:not(.fl-builder-edit) .hero--fullscreen-tabs,
    .iphone.firefox body:not(.fl-builder-edit) .hero--fullscreen-tabs--tabpanel,
    .iphone.firefox body:not(.fl-builder-edit) .hero--fullscreen-tabs--tabpanel > .fl-row-content-wrap {
        min-height: 650px;
    }
    
    body:not(.fl-builder-edit) .hero--fullscreen-tabs .tab-controls {
        align-items: center;
        bottom: var(--hero-padding-bottom);
        display: flex;
        flex-direction: row;     
        gap: 16px;
        justify-content: center;
        position: absolute;
        right: var(--content-padding);
        width: auto;
    }

    body:not(.fl-builder-edit) .hero--fullscreen-tabs .tab-controls button {
        background: var(--orange) var(--carousel-arrow-right) no-repeat center center / cover;
        border-radius: 100%;
        border: 1px solid transparent;
        content: "";
        height: 48px;
        width: 48px;
        z-index:1;
    }
    body:not(.fl-builder-edit) .hero--fullscreen-tabs .tab-controls button[data-action="prev"] {
        margin-right: auto;
        rotate: 180deg;
    }
    body:not(.fl-builder-edit) .hero--fullscreen-tabs .tab-controls button[data-action="next"] {
        margin-left: auto;
    }
  
    body:not(.fl-builder-edit) .hero--fullscreen-tabs .tablist {
            inset: unset;
        align-items: center;
        bottom: var(--hero-padding-bottom);
        flex-direction: row;     
        gap: 16px;
        justify-content: center;
        left: 0;
        padding-block: 18px;
        width: auto;   
    }
    body:not(.fl-builder-edit) .hero--fullscreen-tabs .tablist button {
        background: white;
        border-radius: 10px;
        font-size: 0;
        height: 10px;
        line-height: 0;
        min-height: 0;
        min-width: unset;
        padding: 0;
        width: 10px;
    }
    body:not(.fl-builder-edit) .hero--fullscreen-tabs .tablist button:after {
        display: none;
    }

    body:not(.fl-builder-edit) .hero--fullscreen-tabs .tablist button[aria-selected="true"] {
        background-color: var(--orange);
        border-left: none !important;
        transform: unset;
    }
}
/*****************************/
/*  END   :: Hero Tabs - NEW */
/*****************************/

/**************************************************************************************/
/*  START :: Hero  – QA update – site-wide – increased hero height / bottom-alignment */
/**************************************************************************************/
body:not(.fl-builder-edit) .hero > .fl-row-content-wrap {
        align-items: flex-end;
        min-height: 100vh; /* fallback */
        min-height: 100lvh;
        padding-bottom: var(--hero-padding-bottom);
}
/* Mobile */
@media only screen and (max-width: 768px) {
    body:not(.fl-builder-edit) .hero > .fl-row-content-wrap {
        padding-bottom: var(--hero-padding-bottom);
    }
    /* svh / lvh is buggy in iphone firefox, hard code min-height */
    .iphone.firefox body:not(.fl-builder-edit) .hero > .fl-row-content-wrap {
        min-height: 650px;
    }
}

/**************************************************************************************/
/*  END   :: Hero  – QA update – site-wide – increased hero height / bottom-alignment */
/**************************************************************************************/

/***********************************************/
/*  START :: Hero  – custom mobile positioning */
/***********************************************/
/* Mobile */
@media only screen and (max-width: 768px) {
    /* Research & Advocacy page */
    .page-id-1735 .hero > .fl-row-content-wrap {
        background-position: center;
    }
}

/*******************/
/*  END   :: Hero  */
/*******************/
